Subject: RE: Swapfile on Btrfs does not start at boot

From: Zacchaeus Scheffer <[email-masked]>
Date: Fri, 24 Sep 2021 19:13:47 -0400

I have the same problem.  I can start the swapfile normally with herd start
swap-/swap/swapfile, but it fails to start at boot.

Here are the (possibly) relevant parts of my system configuration:
 (mapped-devices
  (list
   (mapped-device
    (source (uuid "59d615e4-8a35-469c-aa24-88f28f084847"))
    (target "ex")
    (type luks-device-mapping))))
 (file-systems
  (append
   (list
    (file-system
     (type "btrfs")
     (mount-point "/")
     (device (file-system-label "ex"))
     (options "subvol=guix")
     (dependencies mapped-devices))
    (file-system
     (type "btrfs")
     (mount-point "/swap")
     (device (file-system-label "ex"))
     (options "subvol=swap")
     (dependencies mapped-devices))
    (file-system
     (type "vfat")
     (mount-point "/boot/efi")
     (device (file-system-label "EFI"))))
   %base-file-systems))
 (swap-devices
  (list "/swap/swapfile"))

Let me know if I should include more info.

-Zacchae